aboutsummaryrefslogtreecommitdiff
path: root/development/mono2/mono2.SlackBuild
diff options
context:
space:
mode:
authorRyan P.C. McQuen <ryanpcmcquen@gmail.com>2014-07-17 04:07:12 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-17 07:25:07 +0700
commitade83cfeee558cba85cebfb07a1a8912dc056ae1 (patch)
tree485847e5a6f91c2e386fb902ae643c426be97d9a /development/mono2/mono2.SlackBuild
parent1b3acf78123e116f7d8b6dc88e3b2cfa8f43c5d0 (diff)
development/mono2: Added (software platform).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/mono2/mono2.SlackBuild')
-rw-r--r--development/mono2/mono2.SlackBuild122
1 files changed, 122 insertions, 0 deletions
diff --git a/development/mono2/mono2.SlackBuild b/development/mono2/mono2.SlackBuild
new file mode 100644
index 000000000000..84e826b764f0
--- /dev/null
+++ b/development/mono2/mono2.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/sh
+
+# Slackware build script for mono2
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=mono2
+SRCNAM=mono
+VERSION=${VERSION:-2.10.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./autogen.sh \
+ --prefix=/usr/ \
+ --sysconfdir=/etc/ \
+ --localstatedir=/var/ \
+ --mandir=/usr/man/ \
+ --libdir=/usr/lib${LIBDIRSUFFIX}/ \
+ --docdir=/usr/doc/$PRGNAM-$VERSION/ \
+ --disable-static \
+ --program-suffix=2 \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+# Don't clobber the config files
+( cd $PKG/etc/mono/
+
+ mv config config.new
+ mv browscap.ini browscap.ini.new
+ mv mconfig/config.xml mconfig/config.xml.new
+
+ mv 2.0/settings.map 2.0/settings.map.new
+ mv 2.0/machine.config 2.0/machine.config.new
+ mv 2.0/web.config 2.0/web.config.new
+ mv 2.0/Browsers/Compat.browser 2.0/Browsers/Compat.browser.new
+ mv 2.0/DefaultWsdlHelpGenerator.aspx 2.0/DefaultWsdlHelpGenerator.aspx.new
+
+ mv 4.0/DefaultWsdlHelpGenerator.aspx 4.0/DefaultWsdlHelpGenerator.aspx.new
+ mv 4.0/machine.config 4.0/machine.config.new
+ mv 4.0/settings.map 4.0/settings.map.new
+ mv 4.0/web.config 4.0/web.config.new
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING.LIB LICENSE NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}